INSERT INTO `modx_site_snippets` (`id`, `source`, `property_preprocess`, `name`, `description`, `editor_type`, `category`, `cache_type`, `snippet`, `locked`, `properties`, `moduleguid`, `static`, `static_file`) VALUES
(NULL, 10, 0, 'Easypay.notify', '', 0, 0, 0, '// Получение данных\n$values = array();\n$values[''order_mer_code'']	= $_POST[''order_mer_code''];\n$values[''sum'']				=  $_POST[''sum''];\n$values[''mer_no'']			= $_POST[''mer_no''];\n$values[''card'']				= $_POST[''card''];\n$values[''purch_date'']		= $_POST[''purch_date''];\n$values[''notify_signature'']	= $_POST[''notify_signature''];\n\n// Проверка электронной подписи\n$signature_checked = validateRequest($values);\nif ($signature_checked == 1){\n	$query = $modx->newQuery(''Order'', array(\n	    ''id'' => $values[''order_mer_code''] ));\n	     $query->limit(1);\n        $order = $modx->getObject(''Order'', $query);\n        $order_product = $modx->getObject(''OrderProduct'', array(\n            ''order_id'' => $order->id,    \n        ));\n	if ($values[''sum''] == ceil($order_product->price)) {\n        $order->set(''status_id'', 3);\n        $order->save();\n		header("HTTP/1.0 200 OK");\n		print $status = ''OK | the notice is processed''; //Все успешно\n	} else {\n		header("HTTP/1.0 400 Bad Request");\n		print $status = ''FAILED | the notice is not processed(sum)''; //Ошибка в параметрах\n	}\n}elseif ($signature_checked == 0){\n	header("HTTP/1.0 400 Bad Request");\n	print $status = ''FAILED | incorrect digital signature''; //Ошибка вычисления электронной подписи\n}else{\n	header("HTTP/1.0 400 Bad Request");\n	print $status = ''FAILED | the notice is not processed''; //Ошибка в параметрах\n} \n\nfunction validateRequest($request){	\n	$signature_checked = -1;\n	if (isset($request[''order_mer_code'']) && \n		isset($request[''sum'']) && \n		isset($request[''mer_no'']) && \n		isset($request[''card'']) && \n		isset($request[''purch_date''])\n		){\n		$signature_checked = 0;\n		$hash = md5($request[''order_mer_code''] . \n				$request[''sum''] . \n				$request[''mer_no''] . \n				$request[''card''] . \n				$request[''purch_date''] . \n				$setting[''web_key'']);\n		if ($hash == $request[''notify_signature'']){\n			\n			$signature_checked = 1;\n		}\n	}\nreturn $signature_checked;\n}', 0, 'a:0:{}', '', 0, '');

INSERT INTO `modx_billing_paysystems` (`id`, `name`, `comment`) VALUES
(NULL , 'EasyPay', 'http://easypay.by');

INSERT INTO `modx_namespaces` (`name`, `path`, `assets_path`) VALUES
('easypay', '{core_path}components/easypay/', NULL);

INSERT INTO `modx_system_settings` (`key`, `value`, `xtype`, `namespace`, `area`, `editedon`) VALUES
('easypay.entry_merchant', '', 'textfield', 'easypay', '', ''),
('easypay.entry_webkey', '', 'textfield', 'easypay', '', ''),
('easypay.entry_expires', '2', 'textfield', 'easypay', '', ''),
('easypay.entry_debug', '0', 'combo-boolean', 'easypay', '', ''),
('easypay.entry_status', '0', 'combo-boolean', 'easypay', '', '');

INSERT INTO `modx_lexicon_entries` (`id`, `name`, `value`, `topic`, `namespace`, `language`, `createdon`, `editedon`) VALUES
(NULL , 'setting_easypay.entry_debug_desc', 'Режим отладки', 'default', 'easypay', 'ru', '2015-07-13 15:07:26', '0000-00-00 00:00:00'),
(NULL , 'setting_easypay.entry_status_desc', 'Включить модуль', 'default', 'easypay', 'ru', '2015-07-13 15:07:35', '0000-00-00 00:00:00'),
(NULL , 'setting_easypay.entry_expires_desc', 'Время действительности счета', 'default', 'easypay', 'ru', '2015-07-13 15:07:14', '0000-00-00 00:00:00'),
(NULL , 'setting_easypay.entry_webkey_desc', 'Ключ для авторизации счетов', 'default', 'easypay', 'ru', '2015-07-13 15:07:05', '0000-00-00 00:00:00'),
(NULL , 'setting_easypay.entry_merchant_desc', 'Номер поставщика', 'default', 'easypay', 'ru', '2015-07-13 15:06:52', '0000-00-00 00:00:00');
